package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.util.List;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Cliente;
import com.rjconsultores.ventaboletos.entidad.ClienteFidelidad;
import com.rjconsultores.ventaboletos.entidad.TarjetaFidelidad;

public class RenderCliente implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		Cliente cliente = (Cliente) o;

		Listcell lc = new Listcell(cliente.getClienteId().toString());
		lc.setParent(lstm);

		List<ClienteFidelidad> ls = cliente.getListClienteFidelidad();
		TarjetaFidelidad tarjetaFidelidad = null;
		if ((ls != null) && (!ls.isEmpty())) {
			tarjetaFidelidad = ls.get(0).getTarjetaFidelidad();
		}
		if (tarjetaFidelidad != null) {
			lc = new Listcell(tarjetaFidelidad.getNumTarjeta().toString());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		lc = new Listcell(cliente.getNombcliente());
		lc.setParent(lstm);

		lc = new Listcell(cliente.getApellidopaterno());
		lc.setParent(lstm);

		lc = new Listcell(cliente.getApellidomaterno());
		lc.setParent(lstm);

		lc = new Listcell(cliente.getNumtelefono());
		lc.setParent(lstm);

		lc = new Listcell(cliente.getNumtelefonodos());
		lc.setParent(lstm);

		lstm.setAttribute("data", cliente);
	}
}
