package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.OrgaoConcedente;
import com.rjconsultores.ventaboletos.entidad.Ruta;

public class RenderRelatorioLinhaOperacionalRuta implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		Ruta ruta = (Ruta) o;

		Listcell lc = new Listcell(ruta.getRutaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(ruta.getPrefixo());
		lc.setParent(lstm);

		lc = new Listcell(ruta.getDescruta());
		lc.setParent(lstm);

		OrgaoConcedente orgaoConcedente = ruta.getOrgaoConcedente();
		if (orgaoConcedente != null) {
			lc = new Listcell(orgaoConcedente.getDescOrgao());
		} else {
			lc = new Listcell("-");
		}
		lc.setParent(lstm);

		lstm.setAttribute("data", ruta);
	}
}
